Package org.eclipse.emf.cdo.common

## Interface CDOCommonView.Options.LockNotificationEvent

- All Superinterfaces:
    `org.eclipse.net4j.util.event.IEvent`, `org.eclipse.net4j.util.options.IOptionsEvent`
  Enclosing interface:
    CDOCommonView.Options

      public static interface CDOCommonView.Options.LockNotificationEvent
      extends org.eclipse.net4j.util.options.IOptionsEvent

  An `options event` fired from common view `options` when the `lock notification enabled` option has changed.
  Since:
    4.1
  Author:
    Caspar De Groot
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `getEnabled()` |

    - ### Methods inherited from interface org.eclipse.net4j.util.options.IOptionsEvent

      `getSource`

- - ### Method Detail

    - #### getEnabled

          boolean getEnabled()